org.modeshape.jcr.query

## Class IndexRules.TypedRule

- java.lang.Object
- - org.modeshape.jcr.query.IndexRules.TypedRule

- All Implemented Interfaces:
    IndexRules.Rule
  Direct Known Subclasses:
    IndexRules.NumericTypedRule
  Enclosing class:
    IndexRules

      @Immutable
      protected static class IndexRules.TypedRule
      extends Object
      implements IndexRules.Rule

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `canBeReference`
    `protected boolean` | `fullTextSearchable`
    `protected org.apache.lucene.document.Field.Index` | `index`
    `protected org.apache.lucene.document.Field.Store` | `store`
    `protected IndexRules.FieldType` | `type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IndexRules.TypedRule(IndexRules.FieldType type, org.apache.lucene.document.Field.Store store, org.apache.lucene.document.Field.Index index, boolean canBeReference, boolean fullTextSearchable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canBeReference()`
    `org.apache.lucene.document.Field.Index` | `getIndexOption()`
    `org.apache.lucene.document.Field.Store` | `getStoreOption()`
    `IndexRules.FieldType` | `getType()`
    `boolean` | `isFullTextSearchable()`
    `boolean` | `isSkipped()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### canBeReference

          protected final boolean canBeReference

    - #### fullTextSearchable

          protected final boolean fullTextSearchable

    - #### type

          protected final IndexRules.FieldType type

    - #### store

          protected final org.apache.lucene.document.Field.Store store

    - #### index

          protected final org.apache.lucene.document.Field.Index index

  - ### Constructor Detail

    - #### IndexRules.TypedRule

          protected IndexRules.TypedRule(IndexRules.FieldType type,
                              org.apache.lucene.document.Field.Store store,
                              org.apache.lucene.document.Field.Index index,
                              boolean canBeReference,
                              boolean fullTextSearchable)

  - ### Method Detail

    - #### getType

          public IndexRules.FieldType getType()

      Specified by:
        `getType` in interface `IndexRules.Rule`

    - #### isSkipped

          public boolean isSkipped()

      Specified by:
        `isSkipped` in interface `IndexRules.Rule`

    - #### isFullTextSearchable

          public boolean isFullTextSearchable()

      Specified by:
        `isFullTextSearchable` in interface `IndexRules.Rule`

    - #### canBeReference

          public boolean canBeReference()

      Specified by:
        `canBeReference` in interface `IndexRules.Rule`

    - #### getIndexOption

          public org.apache.lucene.document.Field.Index getIndexOption()

      Specified by:
        `getIndexOption` in interface `IndexRules.Rule`

    - #### getStoreOption

          public org.apache.lucene.document.Field.Store getStoreOption()

      Specified by:
        `getStoreOption` in interface `IndexRules.Rule`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.